#include <bits/stdc++.h>

using namespace std;

int main() {
    int N;
    cin >> N;
    int niz[N], arr[N], br=0;
    for(int i = 0; i < N; i++)
    {
        cin >> niz[i];
        arr[i] = niz[i];
    }
    if(N > 2){
        sort(arr, arr + N, greater<int>());
        while(niz[br] == arr[br] && br < N)
        {
            br++;
        }
        if(br < N - 1)
        {
            int j = br+1;
            while(arr[br] != niz[j])
            {
                j++;
            }
            swap(niz[j], niz[br]);
        }
    }
    else
    {
        swap(niz[N-1], niz[N-2]);
    }
    for(int i = 0; i < N; i++)
    {
        cout << niz[i] << " ";
    }
}